Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.jena
Class OWLSpecies

    java.lang.Object
      org.mindswap.pellet.jena.OWLSpecies

    public class OWLSpecies

extends java.lang.Object

Containf the OWL species information along with a detailed species report.

Author:
  Evren Sirin

Field Summary
`static boolean` | `DEBUG`
`static int` | `DL`
`static int` | `FULL`
`static java.lang.String[]` | `LEVELS`
`static int` | `LITE`
`com.hp.hpl.jena.rdf.model.Model` | `missingTriples` Triples that need to be added to the original document in order to make it OWL DL.
`static int` | `WARNING`

Constructor Summary
`OWLSpecies(OWLSpeciesReport report)`
`OWLSpecies(OWLSpeciesReport report, com.hp.hpl.jena.rdf.model.Model missingTriples)`

Method Summary
`int` | `getLevel()` Return the level of the document as one of the constants defined here LITE, DL or FULL.
`OWLSpeciesReport` | `getReport()` Get the detailed species report.
`java.lang.String` | `toString()` Return the string representation of the level, i.e.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEBUG

    public static boolean DEBUG

### LEVELS

    public static final java.lang.String[] LEVELS

### LITE

    public static final int LITE

See Also:
  Constant Field Values

### DL

    public static final int DL

See Also:
  Constant Field Values

### FULL

    public static final int FULL

See Also:
  Constant Field Values

### WARNING

    public static final int WARNING

See Also:
  Constant Field Values

### missingTriples

    public com.hp.hpl.jena.rdf.model.Model missingTriples

  Triples that need to be added to the original document in order to make it OWL DL. If this field is null then the document cannot be converted to OWL DL (i.e. structure sharing) or it is already DL or LITE.

Constructor Detail

### OWLSpecies

    public OWLSpecies(OWLSpeciesReport report)

### OWLSpecies

    public OWLSpecies(OWLSpeciesReport report,
                      com.hp.hpl.jena.rdf.model.Model missingTriples)

Method Detail

### getLevel

    public int getLevel()

  Return the level of the document as one of the constants defined here LITE, DL or FULL.

  Returns:

### getReport

    public OWLSpeciesReport getReport()

  Get the detailed species report.

  Returns:

### toString

    public java.lang.String toString()

  Return the string representation of the level, i.e. "Lite", "DL" or "Full"

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.